PHP version in ZSCM 5.6

General discussion forum for the Zend Server
Post Reply
clarose
Posts: 2
Joined: Tue Feb 07, 2012 11:01 am

PHP version in ZSCM 5.6

Post by clarose » Fri Jun 29, 2012 12:02 pm

Hello,

System:
Ubuntu 11.04 64bits
ZSCM 5.6
Apache 2.2.17

I just installed and configured ZSCM from the repo on my local Ubuntu in order to test installation before putting it in production cluster.

I was surprised to find out that the PHP version was 5.2, is the zend repo outdated ? I can't work with a PHP5.2 !

If I want to install a Zend Server on the same server, it gonna remove/replace a lot of packages since it's a PHP5.3.
Does someone have the same issue ?

Regards,

Corentin Larose - CTO - QAPA

install logs:

Les paquets supplémentaires suivants seront installés :
cli-tools-zend-server deployment-daemon-zend-server deployment-extension-zend-server gui-cm-zend-server jq-daemon-zend-server libframework1-zend-server lighttpd-zend-server php-5.2-bin-zend-server php-5.2-cm-utils-zend-server
php-5.2-code-tracing-zend-server php-5.2-ctype-zend-server php-5.2-fcgi-zend-server php-5.2-jq-zend-server php-5.2-monitor-ui-zend-server php-5.2-monitor-zend-server php-5.2-optimizer-plus-zend-server php-5.2-pdo-mysql-zend-server
php-5.2-pecl-http-zend-server php-5.2-zem-zend-server php-5.2-zendutils-zend-server php-5.2-zip-zend-server zend-base zend-server-doc
Les NOUVEAUX paquets suivants seront installés :
cli-tools-zend-server deployment-daemon-zend-server deployment-extension-zend-server gui-cm-zend-server jq-daemon-zend-server libframework1-zend-server lighttpd-zend-server php-5.2-bin-zend-server php-5.2-cm-utils-zend-server
php-5.2-code-tracing-zend-server php-5.2-ctype-zend-server php-5.2-fcgi-zend-server php-5.2-jq-zend-server php-5.2-monitor-ui-zend-server php-5.2-monitor-zend-server php-5.2-optimizer-plus-zend-server php-5.2-pdo-mysql-zend-server
php-5.2-pecl-http-zend-server php-5.2-zem-zend-server php-5.2-zendutils-zend-server php-5.2-zip-zend-server zend-base zend-server-cluster-manager zend-server-doc
0 mis à jour, 24 nouvellement installés, 0 à enlever et 3 non mis à jour.

User avatar
clarkphp
Zend Global Services
Posts: 34
Joined: Sat Jun 30, 2012 9:59 pm
Location: United States
Contact:

Re: PHP version in ZSCM 5.6

Post by clarkphp » Sat Jun 30, 2012 11:17 pm

Hello Corentin,

The Zend Server nodes will serve requests made to the cluster. ZSCM isn't serving requests, per se; it's managing the ZS nodes. So, no conflict due to different PHP versions - your applications run on the ZS nodes.

Separately, ZSCM and Zend Server are not supported to co-exist on the same machine. I believe this will change in ZSCM 6, when it will be supported. Possibly PHP version will increase in ZSCM 6, also, but I'd have to check. If you install ZS and ZSCM on the same box, I think your Zend Server installation will disappear.

Regards,
Clark Everetts

User avatar
kentatzend
Posts: 1778
Joined: Thu Dec 11, 2008 1:08 pm

Re: PHP version in ZSCM 5.6

Post by kentatzend » Tue Sep 11, 2012 4:52 pm

ZSCM and ZS cannot be on the same server. The conceptual model for a cluster of Servers is a spoke and hub model. So you need a separate ZSCM server from your ZS servers

Post Reply